import React, { useState } from 'react';
import api from '../services/api';

function AddProject() {
  const [form, setForm] = useState({ company: '', brand: '', deliverables: '', dueDate: '' });

  const handleChange = (e) => setForm({ ...form, [e.target.name]: e.target.value });

  const handleSubmit = async (e) => {
    e.preventDefault();
    try {
      await api.addProject(form);
      alert('Project added!');
    } catch (err) {
      alert('Error adding project');
    }
  };

  return (
    <form onSubmit={handleSubmit} className="space-y-2">
      <input name="company" placeholder="Company" onChange={handleChange} className="border p-2 w-full" required />
      <input name="brand" placeholder="Brand" onChange={handleChange} className="border p-2 w-full" required />
      <input name="deliverables" placeholder="Deliverables" onChange={handleChange} className="border p-2 w-full" required />
      <input name="dueDate" type="date" onChange={handleChange} className="border p-2 w-full" required />
      <button type="submit" className="bg-blue-500 text-white px-4 py-2">Add Project</button>
    </form>
  );
}

export default AddProject;