import React, { useEffect, useState } from 'react';
import api from '../services/api';

function Dashboard() {
  const [projects, setProjects] = useState([]);

  useEffect(() => {
    api.getProjects().then(setProjects).catch(console.error);
  }, []);

  return (
    <div>
      <h2 className="text-2xl font-bold mb-4">Dashboard</h2>
      <ul>
        {projects.map((p) => (
          <li key={p._id} className="mb-2">{p.company} - {p.brand} (Due: {new Date(p.dueDate).toLocaleDateString()})</li>
        ))}
      </ul>
    </div>
  );
}

export default Dashboard;