import React, { useState } from 'react';
import api from '../services/api';

function Login() {
  const [form, setForm] = useState({ email: '', password: '' });

  const handleChange = (e) => setForm({ ...form, [e.target.name]: e.target.value });

  const handleSubmit = async (e) => {
    e.preventDefault();
    try {
      const res = await api.login(form);
      localStorage.setItem('token', res.token);
      alert('Logged in!');
    } catch (err) {
      alert('Error logging in');
    }
  };

  return (
    <form onSubmit={handleSubmit} className="space-y-2">
      <input name="email" placeholder="Email" onChange={handleChange} className="border p-2 w-full" required />
      <input name="password" type="password" placeholder="Password" onChange={handleChange} className="border p-2 w-full" required />
      <button type="submit" className="bg-green-500 text-white px-4 py-2">Login</button>
    </form>
  );
}

export default Login;