import React, { useState } from 'react';
import api from '../services/api';

function Signup() {
  const [form, setForm] = useState({ name: '', email: '', password: '' });

  const handleChange = (e) => setForm({ ...form, [e.target.name]: e.target.value });

  const handleSubmit = async (e) => {
    e.preventDefault();
    try {
      await api.signup(form);
      alert('Account created!');
    } catch (err) {
      alert('Error signing up');
    }
  };

  return (
    <form onSubmit={handleSubmit} className="space-y-2">
      <input name="name" placeholder="Name" onChange={handleChange} className="border p-2 w-full" required />
      <input name="email" placeholder="Email" onChange={handleChange} className="border p-2 w-full" required />
      <input name="password" type="password" placeholder="Password" onChange={handleChange} className="border p-2 w-full" required />
      <button type="submit" className="bg-purple-500 text-white px-4 py-2">Sign Up</button>
    </form>
  );
}

export default Signup;