import axios from 'axios';

const API_URL = process.env.REACT_APP_API_URL;

const api = {
  login: async (data) => (await axios.post(`${API_URL}/auth/login`, data)).data,
  signup: async (data) => (await axios.post(`${API_URL}/auth/register`, data)).data,
  getProjects: async () => (await axios.get(`${API_URL}/projects`, { headers: { Authorization: localStorage.getItem('token') } })).data,
  addProject: async (data) => (await axios.post(`${API_URL}/projects`, data, { headers: { Authorization: localStorage.getItem('token') } })).data,
};

export default api;